Package com.logicaldoc.core.task

# Interface TaskListener

All Superinterfaces:
  `EventListener`

public interface TaskListener extends EventListener
Implementations of this listener are notified when changes occurs in the Task state

Since:
  3.5.0
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`void`
`progressChanged(long progress)`
Invoked when the progress changes
`void`
`statusChanged(int status)`
Invoked when the status changes

## Method Details

### progressChanged

void progressChanged(long progress)
Invoked when the progress changes

Parameters:
  `progress` - the new progress value

### statusChanged

void statusChanged(int status)
Invoked when the status changes

Parameters:
  `status` - the new status value(one of STATUS_RUNNING or STATUS_IDLE